/**
 * @file 人群包管理基础服务
 * @author jiayufei(jiayufei@c-top.com.cn)
 */

 class AppMarketService {
    constructor() {}

    // 相关账户的table列表
    setAcountColumns() {
        return [
            {
                title: '账户名称',
                dataIndex: 'accountName',
                width: '30%'
            },
            {
                title: '所属项目',
                dataIndex: 'projectName',
                width: '30%'
            },
            {
                title: '人群包数量',
                dataIndex: 'count',
                width: '20%'
            },
            {
                title: '状态',
                dataIndex: 'statusStr',
                width: '20%'
            }
        ]
    }

    // 原因的table列表
    setCauseColumns() {
        return [
            {
                title: '项目名称',
                dataIndex: 'projectName',
                width: '30%'
            },
            {
                title: '账户名称',
                dataIndex: 'accountName',
                width: '30%'
            },
            {
                title: '原因',
                dataIndex: 'message',
                width: '40%'
            }
        ]
    }

    // 相关项目的table列表
    setDepColumns() {
        return [
            {
                title: '项目名称',
                dataIndex: 'projectName',
                width: '40%'
            },
            {
                title: '账户数量',
                dataIndex: 'accountCount',
                width: '20%'
            },
            {
                title: '人群包数量',
                dataIndex: 'count',
                width: '20%'
            }
        ]
    }

    // 状态枚举
    setPlatform() {
        return [
            {
                label: 0,
                value: '不限'
            },
            {
                label: 1,
                value: 'Android'
            },
            {
                label: 2,
                value: 'IOS'
            }
        ]
    }

    // 上传人去报的校验规则
    setPersonRules() {
        return {
            name: [
                {required: true, message: '人群包名称不能为空', trigger: 'blur'},
                {min: 1, max: 20, message: '人群包名称不能超过20个字符', trigger: 'blur'}
            ],
            resource: [
                {required: true, message: '请选择匹配类型', trigger: 'change'}
            ]
        }
    }

    // 人群包类型枚举值
    setPopulationTypeTasks() {
        return [
            {
                label: 1,
                value: '上传人群'
            }, {
                label: 2,
                value: '广告人群'
            }, {
                label: 3,
                value: '主题专区'
            }, {
                label: 4,
                value: '逻辑规则'
            }, {
                label: 5,
                value: '人群扩展'
            }, {
                label: 6,
                value: '平台制定'
            }, {
                label: 7,
                value: '定制付费'
            }, {
                label: 8,
                value: '网红粉丝类别'
            }, {
                label: 9,
                value: '内容付费行为'
            }, {
                label: 10,
                value: '移动应用安装'
            }, {
                label: 11,
                value: '快手使用活跃度'
            }, {
                label: 12,
                value: '行业分类'
            }, {
                label: 13,
                value: '商业兴趣'
            }, {
                label: 14,
                value: '固话标签'
            }, {
                label: 15,
                value: '行业偏好'
            }, {
                label: 16,
                value: '第三方标签'
            }, {
                label: 17,
                value: '产品关键词'
            }, {
                label: 19,
                value: '应用渗透率'
            }, {
                label: 22,
                value: '指定网红'
            }, {
                label: 23,
                value: '行业分类'
            }
        ]
    }

    // 匹配类型枚举值
    setMateTypeTasks() {
        return [
            {
                label: 1,
                value: 'IMEI'
            }, {
                label: 2,
                value: 'IDFA'
            }, {
                label: 3,
                value: 'IMEI_MD5'
            }, {
                label: 4,
                value: 'IDFA_MD5'
            }, {
                label: 5,
                value: '手机号-MD5'
            }, {
                label: 7,
                value: 'OAID'
            }, {
                label: 8,
                value: 'OAID_MD5'
            }
        ]
    }

}

export default new AppMarketService();
